> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Batch Test Suite API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

Deletes a Batch Test Suite.

| Property | Value |
| - | - |
| **Method** | DELETE |
| **Endpoint** | `https://{host}/api/public/bot/{botId}/testsuite/{testSuiteName}` |
| **Content Type** | `application/json` |
| **Authorization** | `auth: {{JWT}}` — See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope** | App Builder: Batch Tests Management; Admin Console: Batch Tests Management |

## Query Parameters

| Parameter | Description | Required |
| - | - | - |
| `host` | The environment URL. For example, `https://platform.kore.ai` | Required |
| `BotID` | Bot ID or Stream ID, accessible under **General Settings** on the App Builder. | Required |
| `testSuiteName` | Name of the test suite on the App Builder. **Note:** Only Custom Batch Test Suites can be deleted. | Required |

## Sample Request

```bash theme={null}
curl --location --request DELETE \
     'https://{{host}}/api/public/stream/{{streamId}}/testsuite/{{testSuiteName}}' \
       --header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
       --header 'bot-language: {{language-code}}'
```

## Body Parameters

No body parameters are passed.

## Sample Response

```json theme={null}
{
    "message": "Test Suite removed successfully"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.